{% extends 'base.html.twig' %}

{% block headtitle %}
    {% if frontmatter.title is defined and frontmatter.title %}
        {{ frontmatter.title }} ::
    {% endif %}
{% endblock %}

{% macro contents_tree( tool, page, pages ) %}
    {% for p in pages %}
        <li>
            {% if p.children %}
                {{ p.name|capitalize }}
                <ul>
                    {{ _self.contents_tree( tool, page, p.children ) }}
                </ul>
            {% else %}
                <a href="{{ path( 'page', { tool:tool.name, lang:page.lang, version:page.version, path:p.path } ) }}">
                    {% if p.active %}<strong>{% endif %}
                    {{ p.name|capitalize }}
                    {% if p.active %}</strong>{% endif %}
                </a>
            {% endif %}
        </li>
    {% endfor %}
{% endmacro %}

{% block main %}

<main class="row">
    <nav class="col-md-3">
        <h3>
            <a href="{{ path('page', { tool:tool.name, lang:page.lang, version:page.version, path:'index' }) }}" class="text-body">
                {{ tool.title }}
            </a>
        </h3>
        <div class="lh-sm">
            {{tool.description}}
        </div>
        <div class="my-4">
            <h4>{{msg('toc')}}</h4>
            <ul>
                {{ _self.contents_tree( tool, page, pages ) }}
            </ul>
        </div>

        <div class="dropdown d-inline-block">
            <a class="btn btn-secondary dropdown-toggle" role="button" id="version-dropdown" data-bs-toggle="dropdown" aria-expanded="false">
                {% if page.version == 'latest' %}
                    {{ msg('latest') }}
                {% else %}
                    {{ page.version }}
                {% endif %}
            </a>
            <ul class="dropdown-menu" aria-labelledby="version-dropdown">
                {% for ver in versions %}
                    <li>
                        {% if ver == 'latest' %}
                            <a class="dropdown-item" href="{{ path( 'page', { tool:tool.name, lang:page.lang, version:ver } ) }}">
                                {{ msg('latest') }}
                            </a>
                        {% else %}
                            <a class="dropdown-item" href="{{ path( 'page', { tool:tool.name, lang:page.lang, version:ver } ) }}">
                                {{ ver }}
                            </a>
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
        </div>
        <div class="dropdown d-inline-block">
            <a class="btn btn-secondary dropdown-toggle" role="button" id="language-dropdown" data-bs-toggle="dropdown" aria-expanded="false">
                {{ lang_name(page.lang) }}
            </a>
            <ul class="dropdown-menu" aria-labelledby="language-dropdown">
                {% for lang in langs %}
                    <li>
                        <a class="dropdown-item" href="{{ path( 'page', { tool:tool.name, lang:lang } ) }}">
                            {{lang_name(lang)}}
                        </a>
                    </li>
                {% endfor %}
                <li><hr class="dropdown-divider"></li>
                <li>
                    <a class="dropdown-item" href="{{ path( 'translations', { toolName:tool.name } ) }}">
                        {{ msg('translation-status') }}
                    </a>
                </li>
            </ul>
        </div>

    </nav>
    <article class="col-md-9">
        {% if logged_in_user() %}
            {% if merge_request %}
                <div class="alert alert-info" role="alert">
                    {{ msg('merge-request-open') }}
                    <a href="{{ merge_request.web_url }}" class="alert-link">{{ msg('merge-request-link') }}</a>
                    <br />
                    {{ msg('merge-request-more') }}
                </div>
            {% endif %}
            <p class="float-end">
                {% if page.lang != 'en' %}
                    <a href="{{path('translate', {toolName:tool.name, path:page.path, uselang:page.lang})}}" class="btn btn-sm btn-primary" role="button">
                        {{ msg('edit') }}
                    </a>
                {% else %}
                    <a href="{{path('edit', {toolName:tool.name, lang:'en', path:page.path})}}" class="btn btn-sm btn-primary" role="button">
                        {{ msg('edit') }}
                    </a>
                {% endif %}
            </p>
        {% endif %}

        {% if frontmatter.title is defined and frontmatter.title %}
            <h1>{{ frontmatter.title }}</h1>
        {% endif %}

        {% if html is empty %}
            <div class="alert alert-primary" role="alert">
                {{ msg('empty-state') }}
            </div>
        {% else %}
            {{ html|raw }}
        {% endif %}
    </article>
</main>

{% endblock %}
